• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

Android: "Failed to create MD5 hash for file"

F

fedeali

Guest
Hello,
I'm trying to build a project for Android that contains an extension I am making (a wrapper for a video ads provider). The project fails to build with the following output to console:
:com.myname.mygamename:compileReleaseJavaWithJavac FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':com.myname.mygamename:compileReleaseJavaWithJavac'.
> Failed to create MD5 hash for file 'Z:\com.myname.mygamename\libs\logging-interceptor-3.7.0.jar'.
logging-interceptor-3.7.0.jar is present inside the extension's AndroidSource/libs directory.

In the extension's settings, I have put the following Gradle dependencies inject code as required by the library:

Code:
    // Vungle SDK
    compile files('libs/vungle-android-sdk-6.3.17.jar')

    // Required Third-party Dependencies
    compile files('libs/converter-gson-2.2.0.jar')
    compile files('libs/fetch-1.1.5.jar')
    compile files('libs/gson-2.7.jar')
    compile files('libs/logging-interceptor-3.7.0.jar')
    compile files('libs/okhttp-3.7.0.jar')
    compile files('libs/okio-1.12.0.jar')
    compile files('libs/retrofit-2.2.0.jar')
    compile files('libs/VNG-moat-mobile-app-kit-2.2.0.jar')

    // Support library
    compile 'com.android.support:support-v4:26.1.0'

    // Recommended Google Play Services
    compile 'com.google.android.gms:play-services-basement:15.0.1'

    // Optional Google Play Services
    compile 'com.google.android.gms:play-services-ads-identifier:15.0.1'
    compile 'com.google.android.gms:play-services-location:15.0.1'
Removing the compile files('libs/logging-interceptor-3.7.0.jar') instruction lets the build process go not so far, since I get the same error on gson-2.7.jar, and then on converter-gson-2.2.0.jar.

These libraries are required by the ads provider SDK, so I can't remove them. What am I doing wrong?
Thank you in advance.
 
F

fedeali

Guest
Bump!
Any help? If something is not clear let me know and I'll try to explain better.
 
Top